Skip to main content
PATCH
/
reviews
/
{reviewId}
/
flag
Flag Review
curl --request PATCH \
  --url https://cdn.tailoredd.com/apiV2/reviews/{reviewId}/flag \
  --header 'Content-Type: application/json' \
  --data '
{
  "flagged": true,
  "flagReason": "Inappropriate content",
  "flaggedBy": "admin@example.com"
}
'
{
  "success": true,
  "data": {}
}
PATCH {BASE_URL}/reviews/{reviewId}/flag

Body parameters

flagged
boolean
required
true to flag.
flagReason
string
Reason.
flaggedBy
string
Moderator email.

Response

{
  "success": true,
  "data": {
    "id": "review-abc123",
    "status": "flagged",
    "flagReason": "Inappropriate content",
    "flaggedBy": "moderator@example.com"
  }
}

Headers

Authorization
string

Path Parameters

reviewId
string
required

Body

application/json

The body is of type object.

Response

Successful response

success
boolean
required
Example:

true

data
object